Subject: [Megaco] doubt about DigitMap syntax

From: "toni.yang" <[email-masked]>
Date: Mon, 18 Feb 2002 15:41:21 +0800

hi, Taylor,
While researching DigitMap syntax, I come up against some questions. Please
give me hand.
1) this is the example shown in H.248  
0Local operator
00Long-distance operator
xxxxLocal extension number (starts with 1-7)
8xxxxxxxLocal number
#xxxxxxxOff-site extension
*xxStar services
91xxxxxxxxxxLong-distance number
9011 + up to 15 digitsInternational number

 (0| 00|[1-7]xxx|8xxxxxxx|Fxxxxxxx|Exx|91xxxxxxxxxx|9011x.)
If MG mapped to 9011x., I think that it will collect from 4 to 19 digits.
And "up to 15 digits" is negotiated by MG and MGC before that. But if I want
to define a new DialPlan (1011x.)(1011+up to 10 digits), how should I tell
MG?
2)the 'Z' duration modifier
I have no idea that when we should place this charactor in the digitstring.
What if MG found it in the DigitString, what should MG do!?
I read 7.1.14.5 DigitMap Procedures for times but few can I understood. I
need examples
Best Regards
Toni Yang

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco